<html>
<head>
<title>Ogre::IntersectionSceneQueryListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html">IntersectionSceneQueryListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::IntersectionSceneQueryListener Class Reference<div class="ingroups"><a class="el" href="group__Scene.html">Scene</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::IntersectionSceneQueryListener" -->
<p>Alternative listener class for dealing with <a class="el" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting one another...">IntersectionSceneQuery</a>.  
 <a href="classOgre_1_1IntersectionSceneQueryListener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::IntersectionSceneQueryListener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1IntersectionSceneQueryListener__inherit__graph.gif" border="0" usemap="#Ogre_1_1IntersectionSceneQueryListener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1IntersectionSceneQueryListener_inherit__map" id="Ogre_1_1IntersectionSceneQueryListener_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting one another..." alt="" coords="28,83,225,112"/><area shape="rect" id="node5" href="classOgre_1_1DefaultIntersectionSceneQuery.html" title="Default implementation of IntersectionSceneQuery." alt="" coords="7,160,247,189"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1IntersectionSceneQueryListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html#a7537def6f0635fcf975b49f65e42e5c0">~IntersectionSceneQueryListener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html#a102ee718055fb373a090e43d27968c9e">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *first, <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *second)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when 2 movable objects intersect one another.  <a href="#a102ee718055fb373a090e43d27968c9e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html#a97f2e6c9bfd31263f67f0ecfc6a612e6">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *movable, <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *fragment)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a movable intersects a world fragment.  <a href="#a97f2e6c9bfd31263f67f0ecfc6a612e6"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Alternative listener class for dealing with <a class="el" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting one another...">IntersectionSceneQuery</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Because the <a class="el" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting one another...">IntersectionSceneQuery</a> returns results in pairs, rather than singularly, the listener interface must be customised from the standard <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions instead of ...">SceneQueryListener</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00460">460</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a7537def6f0635fcf975b49f65e42e5c0"></a><!-- doxytag: member="Ogre::IntersectionSceneQueryListener::~IntersectionSceneQueryListener" ref="a7537def6f0635fcf975b49f65e42e5c0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html#a7537def6f0635fcf975b49f65e42e5c0">Ogre::IntersectionSceneQueryListener::~IntersectionSceneQueryListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00463">463</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a102ee718055fb373a090e43d27968c9e"></a><!-- doxytag: member="Ogre::IntersectionSceneQueryListener::queryResult" ref="a102ee718055fb373a090e43d27968c9e" args="(MovableObject *first, MovableObject *second)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html#a102ee718055fb373a090e43d27968c9e">Ogre::IntersectionSceneQueryListener::queryResult</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"><em>first</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"><em>second</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when 2 movable objects intersect one another. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>As with <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions instead of ...">SceneQueryListener</a>, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1IntersectionSceneQuery.html#a1092da71d6f78d6ecee11eee06a3b1e5">Ogre::IntersectionSceneQuery</a>.</p>

</div>
</div>
<a class="anchor" id="a97f2e6c9bfd31263f67f0ecfc6a612e6"></a><!-- doxytag: member="Ogre::IntersectionSceneQueryListener::queryResult" ref="a97f2e6c9bfd31263f67f0ecfc6a612e6" args="(MovableObject *movable, SceneQuery::WorldFragment *fragment)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html#a102ee718055fb373a090e43d27968c9e">Ogre::IntersectionSceneQueryListener::queryResult</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"><em>movable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&#160;</td>
          <td class="paramname"><em>fragment</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when a movable intersects a world fragment. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>As with <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions instead of ...">SceneQueryListener</a>, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1IntersectionSceneQuery.html#ab1b25001401cf9026c9aa58e490f978f">Ogre::IntersectionSceneQuery</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
